Skip to main content

Albums

Endpoint Overview​

  • Endpoint Name: Albums
  • Purpose: Retrieves the list of published albums for a specific culture. Possible filtering.
  • Method: GET
  • URL: /{version}/content/{culture}/albums

Authentication​

  • Authentication Type: None

Request​

Headers​

Header NameRequiredDescription
acceptYesapplication/json

Path Parameters​

ParameterTypeDescription
versionstringThe version of the API to be used. Allowed values: v2.
culturestringThe culture's identifier. E.g., en-us.

Query Parameters​

ParameterTypeRequiredDescription
tags.slugstringNoThe language-specific slug of the tag to use as a filter. This parameter can be specified more than once.
tags.neutralSlugstringNoThe language-independent slug of the tag to use as a filter. This parameter can be specified more than once.
tags.externalSourceReferencestringNoThe externalSourceReference object of the tag to filter for, defined as sourceName:sourceId. See Advanced filtering for more info.
content.slugstringNoThe language-specific slug of the tag assigned as the context to use as a filter.
context.neutralSlugstringNoThe language-independent slug of the tag assigned as the context to use as a filter.
featuredintegerNoSpecify the value 1 to get only promoted (featured) content; 0 to get only NOT promoted items.
_idslugNoThe language-specific identifier (slug) of the content to search for.
_listAvailabilitystringNoGet content with the specified availability option. Possible values : 0 (Public) or 1 (Unlisted). Default: when NOT specified, only Public content (0) will be returned.
$skipintegerNoThe number of entities to be skipped. Default: 0
$limitintegerNoThe maximum number of entities to be returned (up to 100). Default : 25.
$sortstringNoThe field to be used as the sort condition with the desired direction. The sort field can be: lastUpdatedDate, context.slug, tags.slug, context.neutralSlug, tags.neutralSlug, tags.externalSourceReference. Only one field can be specified per request. Default : when NOT specified content will be ordered by featured and contentDate descending.

Response​

Response Codes​

HTTP Status CodeMeaning
200Successful request
404Not Found (resource does not exist)
500Internal Server Error

Response Body​

Data structure​

  • meta: Contains general information related to the request performed (Object)
    • apiVersion: The current version of the API endpoint that generated the response (String)
    • generatedAt: The UTC timestamp of the response (String)
  • pagination: Contains information about the pagination of the current response (Object)
    • nextUrl: The URL that can be used to retrieve the next page of results (String)
    • previousUrl: The URL that can be used to retrieve the previous page of results. This is only available when consuming a page next to the first one (String)
    • maxItems: The maximum number of items that can be retrieved per page (100) (Integer)
  • items: An array of albums objects (Array)
    • type: album (String)
    • selfUrl: The URL to get the detail of this entity (String)
    • slug: The unique identifier of the album (String)
    • title: The album title (String)
    • contentDate: The UTC timestamp of this content (Date-time)
    • createdBy: The full name of the author that created this entity (String)
    • lastUpdatedBy: The full name of the last author that updated this entity (String)
    • lastUpdatedDate: UTC timestamp of the last update operation occurred on this entity (Date-time)
    • featured: When 1, it represents a promoted content (Integer)
    • thumbnail: An object representing the thumbnail of the picture bound to the current album (Object)
      • title: The title of the photo (String)
      • templateUrl: The template URL that can be used to retrieve the photo file from Cloudinary (String). Contains {formatName} or {formatInstructions} placeholders. (String)
      • thumbnailUrl: The URL of the thumbnail format that can be used to retrieve the photo from Cloudinary (String)
      • format: The format of the original image (e.g., jpg, png, etc.) (String)
      • overriddenFormats: An object representing details related to the custom cropping coordinates set for this photo, if present. Available only when the system is configured with the cropping option (Object)
      • slug: The language-specific unique identifier of the photo entity used as the thumbnail (String)
      • selfUrl: The URL to get the detail of this entity (String)
    • tags: An array of objects containing the set of tags related to this album (Array)
      • type: tag (String)
      • selfUrl: The URL to get the detail of the tag entity (String)
      • slug: The language-specific unique identifier of the tag bound to the album (String)
      • neutralSlug: The language-independent unique identifier of the tag bound to the album (String)
      • externalSourceName: The name of the external source from where the tag was selected. If null, the tag is of type free-text (String)
      • title: The title of the tag in the current language (String)
      • extraData: An object containing custom-defined data, bound to the current tag (Object)
      • fields: An object representing the available custom fields for the tag (Object)
    • context: An object containing the information related to the tag used as the context (same contract as tag) (Object)
    • fields: An object representing the available custom fields for this album (Object)
    • _entityId: The language-independent unique identifier of the entity (Entity Code) (Guid)
    • _translationId: The language-specific unique identifier of the entity (Localized Entity Code) (Guid)

Successful Response Example​

Request GET https://acme.org/v2/content/en-us/albums

Response

▼ "root": {
▼ "pagination": {
"nextUrl": "https://forge-dapi.com/v2/content/en-gb/albums?$skip=25&$limit=25"
"maxItems": 100
}
▼ "meta": {
"apiVersion": "2.0"
"generatedAt": "2025-03-17T15:39:04.3915682Z"
}
▼ "items": [
▼ "0": {
"type": "album"
"_translationId": "20b2aeaf-197a-4d94-94f2-954bbcf2df11"
"_entityId": "8df2569f-5a61-4075-a0d3-6e1fc2694e58"
"selfUrl": "https://forge-dapi.com/v2/content/en-gb/albums/alpha-album"
"slug": "alpha-album"
"title": "Alpha Album"
▼ "tags": [
]
▼ "fields": {
▼ "polymer": {
"url": ""
"accessibleText": ""
"displayText": ""
"openInNewTab": false
}
"lit": "PT3H"
}
"createdBy": "Henry TheProducer"
"lastUpdatedBy": "Henry TheProducer"
"lastUpdatedDate": "2024-12-09T15:54:37.768Z"
"contentDate": "2024-12-09T15:36:56.949Z"
"featured": 0
▼ "thumbnail": {
"title": "IMG_20140731_095513"
"templateUrl": "https://image.com/forgephotos/image/private/{formatInstructions}/v1733759797/forgego-sandbox/wflss8lg9rbkevh13rhg"
"thumbnailUrl": "https://image.com/forgephotos/image/private/w_250,h_250,c_thumb,g_auto,q_auto,f_jpg/v1733759797/forgego-sandbox/wflss8lg9rbkevh13rhg"
"format": "jpg"
▼ "overriddenFormats": {
}
"slug": "img-20140731-095513-x1253"
"selfUrl": "https://forge-dapi.com/v2/content/en-gb/photos/img-20140731-095513-x1253"
}
"description": ""
}
▼ "1": {
"type": "album"
"_translationId": "20b2aeaf-197a-4d94-94f2-954bbcf2df12"
"_entityId": "8df2569f-5a61-4075-a0d3-6e1fc2694e59"
"selfUrl": "https://forge-dapi.com/v2/content/en-gb/albums/alpha-album-2025"
"slug": "alpha-album-2025"
"title": "Alpha Album 2025"
▼ "tags": [
]
▼ "fields": {
▼ "polymer": {
"url": ""
"accessibleText": ""
"displayText": ""
"openInNewTab": false
}
"lit": "PT3H"
}
"createdBy": "Henry TheProducer"
"lastUpdatedBy": "Henry TheProducer"
"lastUpdatedDate": "2024-12-09T15:54:37.768Z"
"contentDate": "2024-12-09T15:36:56.949Z"
"featured": 0
▼ "thumbnail": {
"title": "IMG_20140731_095516"
"templateUrl": "https://image.com/forgephotos/image/private/{formatInstructions}/v1733759798/forgego-sandbox/wflss8lg9rbkevh13rhg"
"thumbnailUrl": "https://image.com/forgephotos/image/private/w_250,h_250,c_thumb,g_auto,q_auto,f_jpg/v1733759797/forgego-sandbox/wflss8lg9rbkevh13rhg"
"format": "jpg"
▼ "overriddenFormats": {
}
"slug": "img-20140732-095513-x1253"
"selfUrl": "https://forge-dapi.com/v2/content/en-gb/photos/img-20140732-095513-x1253"
}
"description": ""
}
]
}

Error Response Example​

{
"type": "https://tools.ietf.org/html/rfc9110#section-15.5.5",
"title": "Not Found",
"status": 404,
"traceId": "00-bdd418da1652593248958acf2dfad4e0-6d55da45f17bddf1-00"
}

Common Errors and Troubleshooting​

Nothing known.